%define module  SVN-Notify
%define name    perl-%{module}
%define version 2.66
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Subversion activity notification
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/SVN/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(HTML::Parser)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This class may be used for sending email messages for Subversion repository
activity. There are a number of different modes supported, and SVN::Notify is
fully subclassable, to easily add new functionality. By default, A list of all
the files affected by the commit will be assembled and listed in a single
message.

This package also provides a svnnotify command-line tool that can be directly
used in subversion post-commit scripts.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SVN
%{_mandir}/*/*
%{_bindir}/svnnotify





%changelog
* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.66-1mdv2008.0
+ Revision: 46689
- update to new version 2.66

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.65-1mdv2008.0
+ Revision: 20347
- 2.65


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.64-1mdv2007.0
+ Revision: 87819
- new version

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 2.63-2mdv2007.0
+ Revision: 54082
- rebuild
- Import perl-SVN-Notify

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.63-1mdv2007.0
- New version 2.63

* Sun Jul 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.62-1mdv2007.0
- New version 2.62

* Sat Jul 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.61-1mdv2007.0
- New version 2.61

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.60-1mdv2007.0
- New version 2.60

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.59-1mdv2007.0
- New release 2.59
- better source URL
- drop useless buildrequires

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.57-1mdk
- New release 2.57

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.56-1mdk
- New release 2.56

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.54-1mdk
- 2.54

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.53-1mdk
- 2.53

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.51-1mdk
- 2.51

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.50-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- fix directory ownership

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.49-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.49-2mdk
- Buildrequires fix

* Sat Oct 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.49-1mdk
- Initial Mandriva release

